Loading...
Searching...
No Matches
Opm::IAPWS::Common< Scalar > Class Template Reference

Implements relations which are common for all regions of the IAPWS '97 formulation. More...

`#include <Common.hpp>`

## Static Public Member Functions

template<class Evaluation>
static OPM_HOST_DEVICE Evaluation | viscosity (const Evaluation &temperature, const Evaluation &rho)
| The dynamic viscosity of pure water.
template<class Evaluation>
static OPM_HOST_DEVICE Evaluation | thermalConductivityIAPWS (const Evaluation &T, const Evaluation &rho)
| Thermal conductivity water (IAPWS) .

## Static Public Attributes

static const Scalar | molarMass
| The molar mass of water .
static const Scalar | Rs
| Specific gas constant of water .
static const Scalar | criticalTemperature
| Critical temperature of water .
static const Scalar | criticalPressure
| Critical pressure of water .
static const Scalar | criticalDensity
| Density of water at the critical point .
static const Scalar | criticalVolume
| Critical volume of water .
static const Scalar | criticalMolarVolume
| Critical molar volume of water .
static const Scalar | acentricFactor
| The acentric factor of water .
static const Scalar | tripleTemperature
| Triple temperature of water .
static const Scalar | triplePressure
| Triple pressure of water .

## Detailed Description

template<class Scalar>
class Opm::IAPWS::Common< Scalar >

Implements relations which are common for all regions of the IAPWS '97 formulation.

Template Parameters

  Scalar | The type used for scalar values

See:

IAPWS: "Revised Release on the IAPWS Industrial Formulation 1997 for the Thermodynamic Properties of Water and Steam", http://www.iapws.org/relguide/IF97-Rev.pdf

## Member Function Documentation

## thermalConductivityIAPWS()

template<class Scalar>
template<class Evaluation>

OPM_HOST_DEVICE Evaluation Opm::IAPWS::Common< Scalar >::thermalConductivityIAPWS | ( | const Evaluation & | T,
|  | const Evaluation & | rho )

inline static

Thermal conductivity water (IAPWS) .

Implementation taken from: freesteam - IAPWS-IF97 steam tables library Copyright (C) 2004-2009 John Pye

Appendix B: Recommended Interpolating equation for Industrial Use see http://www.iapws.org/relguide/thcond.pdf

Parameters

  T | absolute temperature in K
  rho | density of water in kg/m^3

## viscosity()

template<class Scalar>
template<class Evaluation>

OPM_HOST_DEVICE Evaluation Opm::IAPWS::Common< Scalar >::viscosity | ( | const Evaluation & | temperature,
|  | const Evaluation & | rho )

inline static

The dynamic viscosity of pure water.

This relation is valid for all regions of the IAPWS '97 formulation.

Parameters

  temperature | temperature of component in
  rho | density of component in

See:

IAPWS: "Release on the IAPWS Formulation 2008 for the Viscosity of Ordinary Water Substance", http://www.iapws.org/relguide/visc.pdf

The documentation for this class was generated from the following file:

- opm/material/components/iapws/Common.hpp